import * as jsonc_eslint_parser from 'jsonc-eslint-parser';
import { PackageJsonRuleModule } from './createRule.js';
import { plugin } from './plugin.js';
import 'estree';
import 'eslint';

declare const rules: Record<string, PackageJsonRuleModule<unknown[]>>;
declare const configs: {
    "legacy-recommended": {
        plugins: string[];
        rules: {
            "package-json/valid-package-definition": ["error", {
                ignoreProperties: string[];
            }];
        };
    };
    recommended: {
        files: string[];
        languageOptions: {
            parser: typeof jsonc_eslint_parser;
        };
        name: string;
        plugins: {
            readonly "package-json": {
                configs: /*elided*/ any;
                meta: {
                    name: string;
                    version: string;
                };
                rules: Record<string, PackageJsonRuleModule<unknown[]>>;
            };
        };
        rules: {
            "package-json/valid-package-definition": ["error", {
                ignoreProperties: string[];
            }];
        };
    };
};

export { configs, plugin as default, rules };
