import * as jsonc_eslint_parser from 'jsonc-eslint-parser';
import { PackageJsonRuleModule } from './createRule.js';
import 'estree';
import 'eslint';

declare const plugin: {
    configs: {
        "legacy-recommended": {
            plugins: string[];
            rules: {
                "package-json/valid-package-definition": ["error", {
                    ignoreProperties: string[];
                }];
            };
        };
        recommended: {
            files: string[];
            languageOptions: {
                parser: typeof jsonc_eslint_parser;
            };
            name: string;
            plugins: {
                readonly "package-json": /*elided*/ any;
            };
            rules: {
                "package-json/valid-package-definition": ["error", {
                    ignoreProperties: string[];
                }];
            };
        };
    };
    meta: {
        name: string;
        version: string;
    };
    rules: Record<string, PackageJsonRuleModule<unknown[]>>;
};

export { plugin };
