import { createRequirePropertyRule } from "../utils/createRequirePropertyRule.js";
const properties = [
  ["author", false],
  ["description", true],
  ["engines", false],
  ["files", false],
  ["keywords", false],
  ["name", true],
  ["type", true],
  ["types", false],
  ["version", true]
  // TODO: More to come!
];
const rules = properties.reduce(
  (acc, [propertyName, isRecommended]) => {
    acc[`require-${propertyName}`] = createRequirePropertyRule(
      propertyName,
      isRecommended
    );
    return acc;
  },
  {}
);
export {
  rules
};
