import * as eslint from 'eslint';
import * as jsonc_eslint_parser from 'jsonc-eslint-parser';
import { PackageJsonRuleContext } from '../createRule.js';
import 'estree';

interface Option {
    forDependencyTypes?: string[];
    forPackages?: string[];
    forVersions?: string;
    rangeType: RangeType | RangeType[];
}
type Options = [Option | Option[] | undefined];
declare const RANGE_TYPES: readonly ["caret", "pin", "tilde"];
type RangeType = (typeof RANGE_TYPES)[number];
declare const rule: {
    create(context: PackageJsonRuleContext<Options>): jsonc_eslint_parser.RuleListener;
    meta: eslint.Rule.RuleMetaData;
};

export { rule };
