import { RuleTester } from "eslint";
import jsoncESLintParser from "jsonc-eslint-parser";
import * as vitest from "vitest";
RuleTester.describe = vitest.describe;
RuleTester.it = vitest.it;
RuleTester.itOnly = vitest.it.only;
const ruleTester = new RuleTester({
  languageOptions: { parser: jsoncESLintParser }
});
const originalRun = ruleTester.run;
ruleTester.run = (name, rule, tests) => {
  originalRun.call(ruleTester, name, rule, {
    invalid: tests.invalid?.map((test) => ({
      filename: "package.json",
      ...test
    })),
    valid: tests.valid?.map((test) => ({
      filename: "package.json",
      ...typeof test === "string" ? { code: test } : { ...test }
    }))
  });
};
export {
  ruleTester
};
